﻿@model  Select2ClientesViewModel

@if (!Model.tipoPesquisa)
{
    if (Model.viewCode)
    {
        <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-3")">
            <input class="mdl-textfield__input numerico" maximo="10" type="text" id="@Model.idControleInput">
        </div>
        <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-3")">
            <input class="mdl-textfield__input cnpj" maximo="14" type="text" id="txtNumCgcCli" name="txtNumCgcCli">
        </div>

    }
    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-6")">

        <div class="mdl-textfield mdl-js-textfield">
            <div id="@string.Concat(Model.idControleSelect2, "Container")" class="limparTooltipChange"></div>
            <label class="mdl-textfield__label" for="@Model.idControleInput"></label>

        </div>

    </div>
}
else
{
    if (Model.viewCode)
    {
        <input id="@Model.idControleInput" type="text" class="ctrl-filtro numerico" maximo="10" placeholder="Cód.Martins" />
        <i class="material-icons">more_vert</i>
    }
    <div class="campos-group" style="@Model.margintopSel">
        <div id="@string.Concat(Model.idControleSelect2, "Container")" class="limparTooltipChange"></div>
    </div>
}

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2Clientes/ObterDescricoesClientes")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMCLI";
                textoInicial = "Razão Social";
                jsonTexto = "NOMCLI";
                jsonValor = "CODCLI";
                caracteresMinimos = 3;
            };
            inicializar(null);
        };

        @if (Model.viewCode)
        {
            <text>
            $("#@Model.idControleInput").change(function () {
                if ($(this).val().length > 0) {
                    //
                    with (new ComponenteAJAXFactory()) {
                        with (modelo) {
                            ajaxSuccessCallbackMethod = function (data) {
                                var bEach = false;
                                $(data).each(function (idx, dat) {
                                    bEach = true;
                                    $("#@Model.idControleSelect2").select2("trigger", "select", {
                                        data: { id: dat.CODCLI, text: dat.NOMCLI }
                                    });
                                    return;
                                });
                                if (!bEach) {
                                    swal('Verificar!', 'Cliente não encontrado!');
                                    setCustomIcon('fa fa-window-close');
                                    $("#@Model.idControleInput").val('');
                                    $("#@Model.idControleSelect2").empty().change();
                                }
                            };
                            ajaxURL = '@Url.Content("~/api/Select2Clientes/ObterCodigosClientes")';
                            async = true;
                            with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODCLI", tipoJsonEnviar = 'tipoNumerico' };
                        }
                        inicializar(null);
                    }
                    //
                }
            });
        </text>
        }
    });

</script>
